﻿@model List<OpportunitiesView>
@using ARGNS.WebSite.Resources.Views.Opportunities
@{
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.OpportunitiesList.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.OpportunitiesList.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
  
}
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Opportunities.Opportinity</h3>
    </div>

    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>@Opportunities.CustCode</th>
                        <th>@Opportunities.CustName</th>                       
                        <th>@Opportunities.OpporName</th>
                        <th>@Opportunities.Date</th>
                        <th>@Opportunities.Status</th>
                        <th>@Opportunities.Closing</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @if (Model != null)
                    {
                        foreach (OpportunitiesView item in Model)
                        {
                            <tr>
                                <td>@item.OpprId</td>
                                <td>@item.CardCode</td>
                                <td>@item.CardName</td>                               
                                <td>@item.Name</td>
                                <td>@item.OpenDate.Value.ToShortDateString()</td>
                                <td>
                                    @switch(item.Status)
                                    {
                                        case "O":
                                            @Opportunities.Open;
                                            break;
                                        case "W":
                                            @Opportunities.Won;
                                            break;
                                        case "L":
                                            @Opportunities.Lost;
                                            break;
                                    }
                                </td>
                                <td>
                                    <div class="progress">
                                        <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", @item.CloPrcnt)%">
                                            <span>@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", @item.CloPrcnt)%</span>
                                        </div>
                                    </div>
                                </td>
                                <td> 
                                    @if (_Update)
                                    {
                                        <a href='@Url.Action("Action", "Opportunities", new { @pAction = "Update", @pCode = item.OpprId, @pFrom="" })' target="_blank" class="btn btn-primary btn-xs">
                                            <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PurchaseOrders.Edit
                                        </a>
                                    }
                                </td>

                            </tr>
                        }
                    }
                </tbody>
            </table>
        </div>

    </div>

</div>

<div class="col-md-2 pull-right">
@if (_Add)
{
    <a href='@Url.Action("Action", "Opportunities", new { @pAction = "Add", @pCode = 0, @pFrom = "" })' class="btn btn-success btn-lg pull-right ">
        <span class="glyphicon glyphicon-file"></span>&nbsp;@Opportunities.NewOppor
    </a>
}   
</div>
